Method: projects.locations.networkMonitoringProviders.monitoringPoints.downloadInstallScript

为给定的网络监控提供商下载 MonitoringPoint 的安装脚本。

HTTP 请求

GET https://networkmanagement.googleapis.com/v1alpha1/{parent=projects/*/locations/*/networkMonitoringProviders/*}/monitoringPoints:downloadInstallScript

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。DownloadInstallScriptRequest 的父值。格式:projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider}

查询参数

参数
monitoringPointType

enum (MonitoringPointType)

必需。监控点的类型。

hostname

string

必需。MonitoringPoint 的主机名,例如“test-vm”

password

string

可选。用于登录 MonitoringPoint 的密码。

timeZone

object (TimeZone)

可选。为 MonitoringPoint 定义的时区。

privateConnectivityEnabled

boolean

可选。对于 Google Cloud MP,此字段表示 MonitoringPoint 是否部署在 Private Service Connect 部署中。不适用于非 Google Cloud MP。

ntpServerAddress

string

可选。用户可以配置的网络时间协议。如果用户省略此字段,则默认值为 DHCP 租约中提供的 NTP 服务器或在监控点上预配置的一组知名 NTP 服务器。此字段可以是 IP 地址或 FQDN。

ntpServerSecondaryAddress

string

可选。第二个 NTP 服务器。

联合参数 ip_address_configuration。MonitoringPoint 的 IP 地址配置。ip_address_configuration 只能是下列其中一项:
useDhcp

boolean

可选。动态主机配置协议是一种网络管理协议,可自动为连接到网络的设备分配 IP 地址和其他网络配置参数。

staticIpAddress

object (StaticIpConfig)

可选。用户配置的静态 IP。

请求正文

请求正文必须为空。

响应正文

如果成功,则响应为通用 HTTP 响应,其格式由方法定义。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 Authentication Overview

IAM 权限

需要拥有 parent 资源的以下 IAM 权限:

  • networkmanagement.monitoringPoints.downloadConfig

如需了解详情,请参阅 IAM 文档

MonitoringPointType

监控点的类型。

枚举
MONITORING_POINT_TYPE_UNSPECIFIED 不应使用此值。
CONTAINER 在 Docker 容器中运行的 MonitoringPoint。
KVM 在 KVM Hypervisor 中运行的 MonitoringPoint。
VMWARE 在 VMware Hypervisor 中运行的 MonitoringPoint。
HELM 在 K8s Helm 上运行的 Monitoring Point。
GCE_VM 在 Compute Engine 虚拟机中作为启动脚本运行的 MonitoringPoint。
AZURE_VM 在 Azure 虚拟机中作为启动脚本运行的 MonitoringPoint。
AWS_EC2 在 AWS EC2 实例中作为启动脚本运行的 MonitoringPoint。

StaticIpConfig

静态 IP 地址配置。

JSON 表示法
{
  "ipAddress": string,
  "netmask": string,
  "gatewayAddress": string,
  "dnsServerAddress": string,
  "dnsServerSecondaryAddress": string,
  "domain": string
}
字段
ipAddress

string

必需。MonitoringPoint 的 IP 地址。

netmask

string

可选。网络掩码和 CIDR 范围。示例:“255.255.255.0/24”

gatewayAddress

string

必需。网关 IP 地址。示例:“100.80.40.1”。

dnsServerAddress

string

必需。DNS 服务器。

dnsServerSecondaryAddress

string

可选。第二个 DNS 服务器。

domain

string

可选。MonitoringPoint 的域名。